@import "@/assets/styles/abstracts/variables";
@mixin flex-container($justify-content,$align-items,$flex-direction ){
    display: flex;
    justify-content: $justify-content;
    align-items: $align-items;
    flex-direction: $flex-direction;
    
};



@mixin respond-to($breakpoint) {
    @if $breakpoint == mobile {
      @media (max-width: $mobile-width) {
        @content;
      }
    }
    @else if $breakpoint == tablet {
      @media (min-width: $tablet-width) and (max-width: $small-desktop-width - 1) {
        @content;
      }
    }
    @else if $breakpoint == small-desktop {
      @media (min-width: $small-desktop-width) and (max-width: $medium-desktop-width - 1) {
        @content;
      }
    }
    @else if $breakpoint == medium-desktop {
      @media (min-width: $medium-desktop-width) and (max-width: $large-desktop-width - 1) {
        @content;
      }
    }
    @else if $breakpoint == large-desktop {
      @media (min-width: $large-desktop-width) {
        @content;
      }
    }
  }
  

